/*
 *  $Id: remote.h 26696 2024-10-08 14:05:26Z yeti-dn $
 *  Copyright (C) 2024 David Necas (Yeti).
 *  E-mail: yeti@gwyddion.net.
 *
 *  This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public
 *  License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any
 *  later version.
 *
 *  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 *  warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 *  details.
 *
 *  You should have received a copy of the GNU General Public License along with this program; if not, write to the
 *  Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */

#ifndef __GWYDDION_REMOTE_H__
#define __GWYDDION_REMOTE_H__

#include <glib.h>

G_BEGIN_DECLS

#include <gtk/gtk.h>

#define REMOTE_NONE   0
#define REMOTE_X11    1
#define REMOTE_WIN32  2

typedef struct _GwyRemote GwyRemote;

typedef enum {
    GWY_APP_REMOTE_DEFAULT,
    GWY_APP_REMOTE_NONE,
    GWY_APP_REMOTE_NEW,
    GWY_APP_REMOTE_EXISTING,
    GWY_APP_REMOTE_QUERY
} GwyAppRemoteType;

void       gwy_remote_setup             (GtkWidget *toolbox);
void       gwy_remote_finalize          (GtkWidget *toolbox);
void       gwy_remote_do                (GwyAppRemoteType type,
                                         int argc,
                                         char **argv);
GwyRemote* gwy_remote_get               (void);
void       gwy_remote_free              (GwyRemote *remote);
gboolean   gwy_remote_open_files        (GwyRemote *remote,
                                         int argc,
                                         char **argv);
void       gwy_remote_print             (GwyRemote *remote);

G_END_DECLS

#endif

/* vim: set cin columns=120 tw=118 et ts=4 sw=4 cino=>1s,e0,n0,f0,{0,}0,^0,\:1s,=0,g1s,h0,t0,+1s,c3,(0,u0 : */
