/*
 *  $Id: gwydgets.h 27736 2025-04-04 15:55:59Z yeti-dn $
 *  Copyright (C) 2003-2024 David Necas (Yeti), Petr Klapetek.
 *  E-mail: yeti@gwyddion.net, klapetek@gwyddion.net.
 *
 *  This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public
 *  License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any
 *  later version.
 *
 *  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 *  warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 *  details.
 *
 *  You should have received a copy of the GNU General Public License along with this program; if not, write to the
 *  Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */

#ifndef __GWY_GWYDGETS_H__
#define __GWY_GWYDGETS_H__

#include <gwyconfig3.h>

#include <libgwydgets/gwydgettypes.h>

#include <libgwydgets/adjust-bar.h>
#include <libgwydgets/gwycheckboxes.h>
#include <libgwydgets/gwycoloraxis.h>
#include <libgwydgets/gwycombobox.h>
#include <libgwydgets/gwydataview.h>
#include <libgwydgets/gwydataviewlayer.h>
#include <libgwydgets/gwydatawindow.h>
#include <libgwydgets/gwydgetutils.h>
#include <libgwydgets/gwygllabel.h>
#include <libgwydgets/gwyglsetup.h>
#include <libgwydgets/gwyglview.h>
#include <libgwydgets/gwyglwindow.h>
#include <libgwydgets/gwygrainvaluemenu.h>
#include <libgwydgets/gwygrapharea.h>
#include <libgwydgets/gwygraphaxis.h>
#include <libgwydgets/gwygraphcorner.h>
#include <libgwydgets/gwygraphcorner.h>
#include <libgwydgets/gwygraphcurvedialog.h>
#include <libgwydgets/gwygraphcurvemodel.h>
#include <libgwydgets/gwygraphcurves.h>
#include <libgwydgets/gwygraphdata.h>
#include <libgwydgets/gwygraph.h>
#include <libgwydgets/gwygraphlabel.h>
#include <libgwydgets/gwygraphmodel.h>
#include <libgwydgets/gwygraphwindow.h>
#include <libgwydgets/gwyhruler.h>
#include <libgwydgets/inventory-store.h>
#include <libgwydgets/layer-axis.h>
#include <libgwydgets/gwylayer-basic.h>
#include <libgwydgets/layer-cross.h>
#include <libgwydgets/layer-ellipse.h>
#include <libgwydgets/layer-lattice.h>
#include <libgwydgets/layer-line.h>
#include <libgwydgets/gwylayer-mask.h>
#include <libgwydgets/layer-path.h>
#include <libgwydgets/layer-point.h>
#include <libgwydgets/layer-quad.h>
#include <libgwydgets/layer-rectangle.h>
#include <libgwydgets/null-store.h>
#include <libgwydgets/gwyoptionmenus.h>
#include <libgwydgets/gwypixmaplayer.h>
#include <libgwydgets/gwyradiobuttons.h>
#include <libgwydgets/gwyruler.h>
#include <libgwydgets/gwyscitext.h>
#include <libgwydgets/selection-axis.h>
#include <libgwydgets/selection-ellipse.h>
#include <libgwydgets/selection-lattice.h>
#include <libgwydgets/selection-line.h>
#include <libgwydgets/selection-path.h>
#include <libgwydgets/selection-point.h>
#include <libgwydgets/selection-quad.h>
#include <libgwydgets/selection-range.h>
#include <libgwydgets/selection-rectangle.h>
#include <libgwydgets/gwysensitivitygroup.h>
#include <libgwydgets/shader.h>
#include <libgwydgets/gwystock.h>
#include <libgwydgets/gwyvectorlayer.h>
#include <libgwydgets/gwyvruler.h>
#include <libgwydgets/color-button.h>
#include <libgwydgets/color-swatch.h>
#include <libgwydgets/color-wheel.h>
#include <libgwydgets/color-editor.h>
#include <libgwydgets/color-dialog.h>
#include <libgwydgets/gradient-swatch.h>
#include <libgwydgets/fit-table.h>
#include <libgwydgets/correl-table.h>
#include <libgwydgets/cell-renderer-color.h>
#include <libgwydgets/cell-renderer-gradient.h>

G_BEGIN_DECLS

void     gwy_widgets_type_init(void);
gboolean gwy_widgets_gl_init  (void);

G_END_DECLS

#endif

/* vim: set cin columns=120 tw=118 et ts=4 sw=4 cino=>1s,e0,n0,f0,{0,}0,^0,\:1s,=0,g1s,h0,t0,+1s,c3,(0,u0 : */
