/*
 *  $Id: gwyhruler.h 27110 2025-01-02 11:02:46Z yeti-dn $
 *  Copyright (C) 2003-2024 David Necas (Yeti), Petr Klapetek.
 *  E-mail: yeti@gwyddion.net, klapetek@gwyddion.net.
 *
 *  This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public
 *  License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any
 *  later version.
 *
 *  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 *  warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 *  details.
 *
 *  You should have received a copy of the GNU General Public License along with this program; if not, write to the
 *  Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */

#ifndef __GWY_HRULER_H__
#define __GWY_HRULER_H__

#include <libgwydgets/gwyruler.h>

G_BEGIN_DECLS

#define GWY_TYPE_HRULER            (gwy_hruler_get_type())
#define GWY_HRULER(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GWY_TYPE_HRULER, GwyHRuler))
#define GWY_HRULER_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass), GWY_TYPE_HRULER, GwyHRulerClass))
#define GWY_IS_HRULER(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GWY_TYPE_HRULER))
#define GWY_IS_HRULER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass), GWY_TYPE_HRULER))
#define GWY_HRULER_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj), GWY_TYPE_HRULER, GwyHRulerClass))

typedef struct _GwyHRuler             GwyHRuler;
typedef struct _GwyHRulerClass        GwyHRulerClass;
typedef struct _GwyHRulerPrivate      GwyHRulerPrivate;

struct _GwyHRuler {
    GwyRuler ruler;
    GwyHRulerPrivate *priv;
};

struct _GwyHRulerClass {
    GwyRulerClass parent_class;

    void (*reserved1)(void);
    void (*reserved2)(void);
};

GType      gwy_hruler_get_type (void) G_GNUC_CONST;
GtkWidget* gwy_hruler_new      (void);


G_END_DECLS

#endif

/* vim: set cin columns=120 tw=118 et ts=4 sw=4 cino=>1s,e0,n0,f0,{0,}0,^0,\:1s,=0,g1s,h0,t0,+1s,c3,(0,u0 : */
